StatementMacros:
  [
    "UPROPERTY",
    "UFUNCTION",
    "UCLASS",
    "USTRUCT",
    "UENUM",
    "UINTERFACE",
    "GENERATED_BODY",
  ]
Language: Cpp
BasedOnStyle: LLVM

AccessModifierOffset: -4

AlignAfterOpenBracket: BlockIndent
# BreakAfterOpenBracketBracedList: true
# BreakAfterOpenBracketFunction: true
# BreakAfterOpenBracketIf: true
# BreakBeforeCloseBracketBracedList: true
# BreakBeforeCloseBracketFunction: true
# BreakBeforeCloseBracketIf: true

AlignConsecutiveDeclarations: true
AlignEscapedNewlines: Left
AlignOperands: DontAlign
AlignTrailingComments: true
AllowShortBlocksOnASingleLine: Empty
AllowShortEnumsOnASingleLine: false
AllowShortFunctionsOnASingleLine: Inline
AllowShortLambdasOnASingleLine: All
InsertBraces: true
BraceWrapping:
  AfterCaseLabel: true
  AfterClass: true
  AfterControlStatement: true
  AfterEnum: true
  AfterFunction: true
  AfterNamespace: true
  AfterObjCDeclaration: true
  AfterStruct: true
  AfterUnion: true
  AfterExternBlock: true
  BeforeCatch: true
  BeforeElse: true
  BeforeLambdaBody: false
  BeforeWhile: true
  IndentBraces: false
BreakBeforeBinaryOperators: NonAssignment
BreakBeforeBraces: Custom
BreakInheritanceList: AfterColon
BreakBeforeTernaryOperators: true
BreakConstructorInitializers: BeforeComma
BreakStringLiterals: false
ConstructorInitializerAllOnOneLineOrOnePerLine: true
Cpp11BracedListStyle: false
EmptyLineBeforeAccessModifier: LogicalBlock
IndentCaseBlocks: false
IndentCaseLabels: true
IndentPPDirectives: BeforeHash
IndentWidth: 4
NamespaceIndentation: All
PointerAlignment: Left
SortIncludes: false
SpaceBeforeCaseColon: false
TabWidth: 4
UseTab: Always

ColumnLimit: 100
BinPackArguments: false
BinPackParameters: false
AllowAllArgumentsOnNextLine: false
AllowAllParametersOfDeclarationOnNextLine: false
ExperimentalAutoDetectBinPacking: false
